none
Versiones de JavaScript para ASP.NET AJAX RRS feed

  • Pregunta

  • Hola:

    Recientemente he empezado a estudiar el lenguaje JavaScript con el fin de utilizarlo en aplicaciones ASP.NET AJAX.

    El libro que estoy leyendo esta basado en la versión JavaScript 1.5. ¿Quería saber si es suficiente o es preferible actualizarse a otra versión más reciente?...y sobre todo...¿porque?.

    Espero que puedan aconsejarme.

    Muchas gracias.
    Oscar.SS
    martes, 11 de noviembre de 2008 21:07

Respuestas

  •  

    La versión 1.5 de javacript es la más extendida y soportada en todos los navegadores, así que será mas que suficiente...

     

    Otra cosa, si vas a trabajar con Ajax deberías hecharle un vistazo a librerías como jquery (http://jquery.com/), que simplifican el desarrollo de javascript y soporte multi-navegador. Primero deberías tener conocimientos de javascript, pero aplicando jquery (o similares) te ahorrarás reinventar la rueda en muchos casos.

     

     

     

    domingo, 23 de noviembre de 2008 19:57
  • Hola,

     

    Descubriras con el tiempo que javascript es un invento diabolico jajaja...

     

    Da igual la versión que creas que sepas, lo importante de verdad es que tengas en cuenta en navegador o navegadores con los que trabajas, y hacer siempre las pruebas en todos ellos para comprobar si todo funciona.

     

    Es cierto que exiten librerias como jquery que son multi navegador y deberian evitarte muchos quebraderos de cabeza, pero aun asi con el tiempo te daras cuenta de lo odioso (y a la par lo potente) que puede ser el javascript.

     

    Un saludo, y suerte

     

    Colabora con el foro: Si este mensaje te es de utilidad marcalo como respuesta.

    Javier Conesa

    MCP - Senior Analist

    Web: http://www.moreplus.es/index.aspx


    lunes, 24 de noviembre de 2008 6:47
    Moderador

Todas las respuestas

  •  

    La versión 1.5 de javacript es la más extendida y soportada en todos los navegadores, así que será mas que suficiente...

     

    Otra cosa, si vas a trabajar con Ajax deberías hecharle un vistazo a librerías como jquery (http://jquery.com/), que simplifican el desarrollo de javascript y soporte multi-navegador. Primero deberías tener conocimientos de javascript, pero aplicando jquery (o similares) te ahorrarás reinventar la rueda en muchos casos.

     

     

     

    domingo, 23 de noviembre de 2008 19:57
  • Hola,

     

    Descubriras con el tiempo que javascript es un invento diabolico jajaja...

     

    Da igual la versión que creas que sepas, lo importante de verdad es que tengas en cuenta en navegador o navegadores con los que trabajas, y hacer siempre las pruebas en todos ellos para comprobar si todo funciona.

     

    Es cierto que exiten librerias como jquery que son multi navegador y deberian evitarte muchos quebraderos de cabeza, pero aun asi con el tiempo te daras cuenta de lo odioso (y a la par lo potente) que puede ser el javascript.

     

    Un saludo, y suerte

     

    Colabora con el foro: Si este mensaje te es de utilidad marcalo como respuesta.

    Javier Conesa

    MCP - Senior Analist

    Web: http://www.moreplus.es/index.aspx


    lunes, 24 de noviembre de 2008 6:47
    Moderador
  • Hola:

     

    Muchisimas gracias a los dos por vuestras respuestas.

     

    Un saludo.

    lunes, 24 de noviembre de 2008 7:59